## org.eclipse.jst.jsf.facesconfig.emf
Interface ComponentType

All Known Implementing Classes:
  ComponentTypeImpl

    public interface ComponentType

A representation of the model object 'Component Type'.

The following features are supported:

- `Description`
- `Display Name`
- `Icon`
- `Component Type`
- `Component Class`
- `Facet`
- `Attribute`
- `Property`
- `Component Extension`
- `Id`

See Also:
  `FacesConfigPackage.getComponentType()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`EList` `getAttribute()` Returns the value of the 'Attribute' containment reference list.
`ComponentClassType` `getComponentClass()` Returns the value of the 'Component Class' containment reference
`EList` `getComponentExtension()` Returns the value of the 'Component Extension' containment reference list.
`ComponentTypeType` `getComponentType()` Returns the value of the 'Component Type' containment reference
`EList` `getDescription()` Returns the value of the 'Description' containment reference list.
`EList` `getDisplayName()` Returns the value of the 'Display Name' containment reference list.
`EList` `getFacet()` Returns the value of the 'Facet' containment reference list.
`EList` `getIcon()` Returns the value of the 'Icon' containment reference list.
`java.lang.String` `getId()` Returns the value of the 'Id' attribute
`EList` `getProperty()` Returns the value of the 'Property' containment reference list.
`void` `setComponentClass(ComponentClassType value)` Sets the value of the '`Component Class`' containment reference
`void` `setComponentType(ComponentTypeType value)` Sets the value of the '`Component Type`' containment reference
`void` `setId(java.lang.String value)` Sets the value of the '`Id`' attribute

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getDescription

    EList getDescription()

  Returns the value of the 'Description' containment reference list. The list contents are of type `DescriptionType`.

  If the meaning of the 'Description' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Description' containment reference list.
  See Also:
    `FacesConfigPackage.getComponentType_Description()`

### getDisplayName

    EList getDisplayName()

  Returns the value of the 'Display Name' containment reference list. The list contents are of type `DisplayNameType`.

  If the meaning of the 'Display Name' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Display Name' containment reference list.
  See Also:
    `FacesConfigPackage.getComponentType_DisplayName()`

### getIcon

    EList getIcon()

  Returns the value of the 'Icon' containment reference list. The list contents are of type `IconType`.

  If the meaning of the 'Icon' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Icon' containment reference list.
  See Also:
    `FacesConfigPackage.getComponentType_Icon()`

### getComponentType

    ComponentTypeType getComponentType()

  Returns the value of the 'Component Type' containment reference.

  If the meaning of the 'Component Type' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Component Type' containment reference.
  See Also:
    `setComponentType(ComponentTypeType)`, `FacesConfigPackage.getComponentType_ComponentType()`

### setComponentType

    void setComponentType(ComponentTypeType value)

  Sets the value of the '`Component Type`' containment reference.

  Parameters:
    `value` - the new value of the 'Component Type' containment reference.
  See Also:
    `getComponentType()`

### getComponentClass

    ComponentClassType getComponentClass()

  Returns the value of the 'Component Class' containment reference.

  If the meaning of the 'Component Class' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Component Class' containment reference.
  See Also:
    `setComponentClass(ComponentClassType)`, `FacesConfigPackage.getComponentType_ComponentClass()`

### setComponentClass

    void setComponentClass(ComponentClassType value)

  Sets the value of the '`Component Class`' containment reference.

  Parameters:
    `value` - the new value of the 'Component Class' containment reference.
  See Also:
    `getComponentClass()`

### getFacet

    EList getFacet()

  Returns the value of the 'Facet' containment reference list. The list contents are of type `FacetType`.

  If the meaning of the 'Facet' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Facet' containment reference list.
  See Also:
    `FacesConfigPackage.getComponentType_Facet()`

### getAttribute

    EList getAttribute()

  Returns the value of the 'Attribute' containment reference list. The list contents are of type `AttributeType`.

  If the meaning of the 'Attribute' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Attribute' containment reference list.
  See Also:
    `FacesConfigPackage.getComponentType_Attribute()`

### getProperty

    EList getProperty()

  Returns the value of the 'Property' containment reference list. The list contents are of type `PropertyType`.

  If the meaning of the 'Property' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Property' containment reference list.
  See Also:
    `FacesConfigPackage.getComponentType_Property()`

### getComponentExtension

    EList getComponentExtension()

  Returns the value of the 'Component Extension' containment reference list. The list contents are of type `ComponentExtensionType`.

  If the meaning of the 'Component Extension' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Component Extension' containment reference list.
  See Also:
    `FacesConfigPackage.getComponentType_ComponentExtension()`

### getId

    java.lang.String getId()

  Returns the value of the 'Id' attribute.

  If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Id' attribute.
  See Also:
    `setId(String)`, `FacesConfigPackage.getComponentType_Id()`

### setId

    void setId(java.lang.String value)

  Sets the value of the '`Id`' attribute.

  Parameters:
    `value` - the new value of the 'Id' attribute.
  See Also:
    `getId()`